%define         git      ""
%define         gitdate  20130630
%define         _disable_ld_no_undefined      1

Name:           libyui-bindings
Version:        1.0.2
Release:        %mkrel -c git%{gitdate} 6
License:        LGPLv2+
Summary:        Bindings for libyui
Group:          Development/Other
BuildRequires:  cmake
BuildRequires:  perl-devel
BuildRequires:  ruby-devel
BuildRequires:  ruby-RubyGems
BuildRequires:  swig
BuildRequires:  libyui-devel >= 2.16
%py_requires -d

Source0:       %{name}-%{version}.tar.bz2
Patch0:        %{name}-0.1.0-perlcmake.patch

Url:            https://github.com/libyui/libyui-bindings

%description
This package provides different languages bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build

%package -n ruby-yui
License:        GPLv2+
Summary:        Ruby bindings for libyui
Group:          Development/Ruby

%description -n ruby-yui
This package provides Ruby language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%package -n python-yui
License:        GPLv2+
Summary:        Python bindings for libyui
Group:          Development/Python

%description -n python-yui
This package provides Python language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%package -n perl-yui
License:        GPLv2+
Summary:        Perl bindings for libyui
Group:          Development/Perl

%description -n perl-yui
This package provides Perl language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%files -n ruby-yui
%doc swig/ruby/examples/*.rb
%{ruby_vendorarchdir}/_yui.so

%files -n python-yui
%doc swig/python/examples/*.py
%{python_sitearch}/_yui.so
%{python_sitearch}/yui.py*

%files -n perl-yui
%doc swig/perl/examples/*.pl
%{perl_vendorarch}/yui.so
%{perl_vendorlib}/yui.pm



%changelog
* Tue Dec 31 2013 dmorgan <dmorgan> 1.0.2-0.git20130630.6.mga4
+ Revision: 563401
- Fix file list

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.0.2-0.git20130630.4.mga4
+ Revision: 482940
- rebuild for ruby 2.0
- boost is not required

* Wed Jul 10 2013 fwang <fwang> 1.0.2-0.git20130630.3.mga4
+ Revision: 452363
- rebuild for new boost

* Mon Jul 01 2013 anaselli <anaselli> 1.0.2-0.git20130630.2.mga4
+ Revision: 448668
- rebuilt for libyui-gtk

* Sun Jun 30 2013 anaselli <anaselli> 1.0.2-0.git20130630.1.mga4
+ Revision: 448658
- new version

* Sun Jan 20 2013 anaselli <anaselli> 1.0.0-0.git20120915.10.mga3
+ Revision: 390200
- Fixed with a patch to give upstream

* Sun Jan 20 2013 fwang <fwang> 1.0.0-0.git20120915.9.mga3
+ Revision: 390062
- specify utf-8 when installing too

  + anaselli <anaselli>
    - Fixed missed YItemCollector

* Fri Jan 18 2013 anaselli <anaselli> 1.0.0-0.git20120915.8.mga3
+ Revision: 389487
- Added YSettings

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-0.git20120915.7.mga3
+ Revision: 358733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 1.0.0-0.git20120915.6.mga3
+ Revision: 341415
- Rebuilt against new libyui

* Sat Nov 10 2012 anaselli <anaselli> 1.0.0-0.git20120915.5.mga3
+ Revision: 316883
- Rebuilt for new libyui

* Sat Nov 03 2012 fwang <fwang> 1.0.0-0.git20120915.4.mga3
+ Revision: 313450
- force utf-8 encoding
- rebuild for new ruby

  + anaselli <anaselli>
    - Rebuilt for new libyui

* Sun Sep 16 2012 anaselli <anaselli> 1.0.0-0.git20120915.2.mga3
+ Revision: 294607
- bumped to build against new libyui

* Sun Sep 16 2012 anaselli <anaselli> 1.0.0-0.git20120915.1.mga3
+ Revision: 294384
- updated to git version 1.0.0 b6ccfd4

* Mon Jul 02 2012 matteo <matteo> 1.0.0-0.git.8a9290f.1.mga3
+ Revision: 266793
- using git master tarball
- added patch to use FindPerlLibs.cmake instead of FindPerl.cmake
- using _disable_ld_no_undefined
- imported package libyui-bindings

